PeopleForce
People

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Update a person salary

Update a person salary record

PUT
/api/v4/people/{person_id}/compensation/salaries/{id}

Update a person salary record

Path Parameters

person_id*integer
Formatint32
id*integer
Formatint32

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Update a person salary record

Response Body

application/json

curl -X PUT "https://example.com/api/v4/people/0/compensation/salaries/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "effective_on": "2019-08-24",  "amount": 0.1,  "currency_code": "string",  "per": "string",  "comment": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "custom_fields": {}}